X2Go Bug report logs - #421
X2goclient on Windows: sshd.exe does not start.

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: jordi@amospalla.es

Date: Wed, 29 Jan 2014 17:10:01 UTC

Severity: normal

Tags: build-win32, confirmed, pending

Merged with 439

Found in version 4.0.1.3

Fixed in version 4.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#421; Package x2goclient. (Wed, 29 Jan 2014 17:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to jordi@amospalla.es:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 29 Jan 2014 17:10:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: jordi@amospalla.es
To: submit@bugs.x2go.org
Subject: X2goclient on Windows: sshd.exe does not start.
Date: Wed, 29 Jan 2014 18:08:57 +0100
Package: X2goclient
Version: 4.0.1.3

Client host: windows xp
Server host: debian wheezy

- When enabling support for printer sharing, or sharing a folder, sshd.exe
does
  not start, and so these features are not available.

- If I launch manually sshd (from what I understand x2goclient launches from
  reading source code) sshd.exe launches and stays until I kill it:
    "C:\Program Files\x2goclient\sshd.exe" -D -p 7022 -f
"/cygdrive/c/Documents
	and Settings/User/.x2go/etc/sshd_config" -h "/cygdrive/c/Documents and
	Settings/User/.x2go/etc/ssh_host_dsa_key"

- Every time I try to share a folder with the session running, I can see
on the
  process manager ssh-keygen is launched.

- Server host shows the remote folders as mounted on /proc/mounts, so
accessing
  them makes a process hang.

- Firewall is disabled on client host.



Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#421; Package x2goclient. (Thu, 30 Jan 2014 15:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to jordi@amospalla.es:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 30 Jan 2014 15:25:02 GMT) (full text, mbox, link).


Message #10 received at 421@bugs.x2go.org (full text, mbox, reply):

From: jordi@amospalla.es
To: jordi@amospalla.es, 421@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#421: X2goclient on Windows: sshd.exe does not start.
Date: Thu, 30 Jan 2014 16:14:02 +0100
> Package: X2goclient
> Version: 4.0.1.3
>
> Client host: windows xp
> Server host: debian wheezy
>
> - When enabling support for printer sharing, or sharing a folder, sshd.exe
> does
>   not start, and so these features are not available.
>
> - If I launch manually sshd (from what I understand x2goclient launches
> from
>   reading source code) sshd.exe launches and stays until I kill it:
>     "C:\Program Files\x2goclient\sshd.exe" -D -p 7022 -f
> "/cygdrive/c/Documents
> 	and Settings/User/.x2go/etc/sshd_config" -h "/cygdrive/c/Documents and
> 	Settings/User/.x2go/etc/ssh_host_dsa_key"
>
> - Every time I try to share a folder with the session running, I can see
> on the
>   process manager ssh-keygen is launched.
>
> - Server host shows the remote folders as mounted on /proc/mounts, so
> accessing
>   them makes a process hang.
>
> - Firewall is disabled on client host.

Forgot to mention (thanks to mikedep), this is a windows sp3 32 bit.


Added tag(s) build-win32. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 28 Feb 2014 12:00:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#421; Package x2goclient. (Thu, 20 Mar 2014 02:55:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 20 Mar 2014 02:55:01 GMT) (full text, mbox, link).


Message #17 received at 421@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 421@bugs.x2go.org
Subject: I reproduced this bug
Date: Wed, 19 Mar 2014 22:53:06 -0400
I did a bunch of testing. Note that most of the earlier test results
were not valid because i was probably not in the "fuse" group:
https://docs.google.com/spreadsheet/ccc?key=0AmL_OrCln9ShdHcxbTQ3amJZdlp1b3pkcWpveWtwSlE&usp=sharing

Conclusions:

1. This bug is present in X2Go Client 4.0.1.2 and later, including the
nightly 4.0.2.0 builds.

2. This bug affects Windows XP 32-bit SP3, but it does not affect
Windows 7 32-bit SP1 nor does it affect Windows 8.1 64-bit ("Update 1"
was not installed.) It is safe to assume that only XP, server 2003,
and server 2003 R2 are affected

3. This bug is not present in 4.0.0.3. (there was a gap in X2Go Client
Windows builds between 4.0.0.3 and 4.0.1.2.)

4. Across all 3 aforementioned Windows Client OSs with X2Go Client
4.0.0.3, sshd.exe does start. However, folder sharing does not work;
the share never shows up when you run "df" and it is not present in
the usual path under /tmp/ . (I did not test printer sharing, but I
did test all 3 OSs.) That is probably another bug, but it was
obviously fixed. I will not be writing it up.


Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 20 Mar 2014 12:10:02 GMT) (full text, mbox, link).


Merged 421 439 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 439-submit@bugs.x2go.org. (Wed, 02 Apr 2014 12:30:01 GMT) (full text, mbox, link).


Merged 421 439 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 439-submitter@bugs.x2go.org. (Wed, 02 Apr 2014 12:30:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#421; Package x2goclient. (Sat, 07 Jun 2014 13:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 07 Jun 2014 13:40:02 GMT) (full text, mbox, link).


Message #28 received at 421@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 421-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 421@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sat, 7 Jun 2014 15:35:06 +0200 (CEST)
tag #421 pending
fixed #421 4.0.2.1
thanks

Hello,

X2Go issue #421 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=613e834

The issue will most likely be fixed in src:x2goclient (4.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 613e8349c624c938c978e8330b07e27a94fc0d12
Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date:   Fri Jun 6 10:52:46 2014 +0200

    Fix starting sshd on Win XP. (Fixes: #421).

diff --git a/debian/changelog b/debian/changelog
index 340779a..9c1ad22 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -15,6 +15,7 @@ x2goclient (4.0.2.1-0x2go1) UNRELEASED; urgency=low
       session is disconnected.
     - Don't start pulse on Windows, until we have not session with pulse support.
     - Check if sound is activated before starting pulse. 
+    - Fix starting sshd on Win XP. (Fixes: #421).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Apr 2014 18:30:25 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Jun 2014 13:40:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.2.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Jun 2014 13:40:02 GMT) (full text, mbox, link).


Message sent on to jordi@amospalla.es:
Bug#421. (Sat, 07 Jun 2014 13:40:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#421; Package x2goclient. (Sat, 12 Jul 2014 06:45:04 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 12 Jul 2014 06:45:04 GMT) (full text, mbox, link).


Message #40 received at 421@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 421-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 421@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Sat, 12 Jul 2014 08:41:41 +0200 (CEST)
close #421
thanks

Hello,

we are very hopeful that X2Go issue #421 reported by you
has been resolved in the new release (4.0.2.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.2.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=6d9114eb5f414f34962f8b14f58e5d469acd1574;hp=85bf0c6e7539910fff779689528009a897cdceb4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.2.1-0x2go1
Status: RELEASE
Date: Fri, 11 Jul 2014 12:23:59 +0200
Fixes: 235 364 365 421 478 498 502 514 528
Changes: 
 x2goclient (4.0.2.1-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.2.1):
     - Fix FTBFS on arm64 (and others) architecture. (Fixes: #498).
     - Only show session name in notification bubbles with debugging
       enabled. (Fixes: #364).
     - New command line option (--keep-trayicon). With that options set,
       we force X2Go client to only use the default "accelerated X" as
       system tray icon (and prohibit usage of the session's icon as
       tray icon). (Fixes: #365).
     - Provide more meaningful messages on SSH errors (host pub key not
       found, export pub key not found, authorized_keys file not found).
       For SSHd startup failures provide different messages on Windows
       and non-Windows machines. (Fixes: #235).
       FIXME: add detection code to report SSH daemon startup failures.
     - Add new cmdline option --hide-foldersharing. If used, all GUI
       elements related to exporting client-side folders to X2Go sessions
       get hidden. (Fixes: #514).
     - Update COPYING file (to update FSF address).
   * debian/control:
     + Add dbg:package x2goplugin-dbg.
 .
   [ Clemens Lang ]
   * New upstream version (4.0.2.1):
     - Re-add Info.plist file (which got removed by accident in commit 91cf6c6).
       (Fixes: #502).
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.2.1):
     - Hide GSSAPI options on direct RDP connections. (Fixes: #478).
     - Search X-Server in /Applications/Utilities/XQuartz.app on Mac.
     - Wrong cmd line option throw error dialog if running not from terminal.
     - Add command line option "close-disconnect", which make client close after
       session is disconnected.
     - Don't start pulse on Windows, until we really have to start a session
       that requires pulse support.
     - Check if sound is activated before starting pulse.
     - Fix starting sshd on Win XP. (Fixes: #421).
     - Fix "fullscreen" mode on Windows 7 with multiple monitors.
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.2.1):
     - Windows: Prevent high PulseAudio CPU usage on Windows XP by lowering
       PulseAudio's CPU priority from "high" to "normal" on XP specifically.
       Also do so on Windows Server 2003 (R2) (Fixes #526)
     - Windows: Enable PulseAudio log when --debug is passed.
     - Windows: Fix compatibility with current PulseAudio master branch
     - Windows: Reduce size of NSIS installer by switching to lzma solid compression
     - Windows: cygwin packages (inluding patched OpenSSH 6.6.1p1-3) updated from
       latest versions as of 2014-04-08 to latest versions as of 2014-06-09. This
       includes openssl 1.0.1h-1, which fixes the 6 CVEs announced on 2014-06-05.
       (Cygwin openssl was also individually updated to 1.0.1h-1 in
       4.0.2.0+build4.) This also includes migrating from libjpeg to
       libjpeg-turbo, which reduces CPU usage of nxproxy.)
     - Windows: Download and compile nx-libs-lite from the release tarball,
       rather than from git, so that the patches are actually applied
     - Windows: nx-libs-lite updated from 3.5.0.22 to 3.5.0.27
       (linked against aforementioned cygwin package versions)
     - Windows: Win32 OpenSSL updated from 1.0.1g to 1.0.1h, which fixes the 6
       CVEs announced on 2014-06-05.
       (Win32 OpenSSL was also updated to 1.0.1h in 4.0.2.0+build3.)
     - Windows: VcXsrv (XP Compatible) updated from 1.14.3.1 to 1.14.3.2.
       Fixes CVE-2014-0209, CVE-2014-0210, and CVE-2014-0211
       (VcXsrv was also updated to 1.14.3.2 in 4.0.2.0+build2.)
     - Windows: Switch from regular NSIS 2.46 to Unicode NSIS 2.46.5
       (Fixes: #528)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 12 Jul 2014 06:45:11 GMT) (full text, mbox, link).


Notification sent to jordi@amospalla.es:
Bug acknowledged by developer. (Sat, 12 Jul 2014 06:45:11 GMT) (full text, mbox, link).


Message sent on to jordi@amospalla.es:
Bug#421. (Sat, 12 Jul 2014 06:45:16 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#421; Package x2goclient. (Mon, 04 Aug 2014 11:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Frédéric KIEBER <fkieber@free.fr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 04 Aug 2014 11:55:02 GMT) (full text, mbox, link).


Message #52 received at 421@bugs.x2go.org (full text, mbox, reply):

From: Frédéric KIEBER <fkieber@free.fr>
To: 421@bugs.x2go.org
Subject: X2goclient on Windows: sshd.exe does not start.
Date: Mon, 04 Aug 2014 13:46:57 +0200
Hello,

I have always this error.
I am under Windows 7 Enterprise.
I launch program with : x2goclient.exe --portable  --add-to-known-hosts

Debug log is : 
x2go-INFO-1> "Starting x2goclient..."
x2go-INFO-4> "Translator: :/x2goclient_fr_fr installed."
x2go-INFO-5> "Translator: :/qt_fr_FR installed."
x2go-INFO-2> "Starting x2goclient in portable mode... data directory is:
""N:/Client/x2goclient"
x2go-INFO-3> "Started  x2goclient."
Generating public/private dsa key pair.
Your identification has been saved
in /cygdrive/N/Client/X2GOCL~1/X2GO~1/etc/ssh_host_dsa_key.
Your public key has been saved
in /cygdrive/N/Client/X2GOCL~1/X2GO~1/etc/ssh_host_dsa_key.pub.
The key fingerprint is:
32:9a:d7:5e:b5:11:1f:8d:d4:04:00:ae:76:85:dd:f6 x2goclient DSA host key
The key's randomart image is:
+--[ DSA 1024]----+
|          ....o+.|
|         . o o o.|
|          o + = .|
|         . . + o |
|      o S . o . E|
|     o = . . o   |
|    o . . . .    |
|     . . .       |
|        .        |
+-----------------+
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@         WARNING: UNPROTECTED PRIVATE KEY FILE!          @
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
Permissions 0644 for
'/cygdrive/N/Client/x2goclient/.x2go/etc/ssh_host_dsa_key' are too open.
It is required that your private key files are NOT accessible by others.
This private key will be ignored.
bad permissions: ignore
key: /cygdrive/N/Client/x2goclient/.x2go/etc/ssh_host_dsa_key
Could not load host
key: /cygdrive/N/Client/x2goclient/.x2go/etc/ssh_host_dsa_key
Disabling protocol version 2. Could not load host key
sshd: no hostkeys available -- exiting.
x2go-INFO-8> "Starting connection to server: xxx.xxx.xxx.xxx:22"
Object::connect: No such slot ONMainWindow::slotSndTunOk(int)
cygwin warning:
  MS-DOS style path detected:
N:/Client/X2GOCL~1/X2GO~1/ssh/gen/key.Uhg644
  Preferred POSIX equivalent is: /X2GOCL~1/X2GO~1/ssh/gen/key.Uhg644
  CYGWIN environment variable option "nodosfilewarning" turns off this
warning.
  Consult the user's guide for more details about POSIX paths:
    http://cygwin.com/cygwin-ug-net/using.html#using-pathnames


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 02 Sep 2014 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Aug 23 09:53:41 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.